<?php


return  
    [
        'model' => [
            'model' => \Status\Status\Models\Status::class,
            'repository' => \Status\Status\Repositories\Eloquent\StatusRepository::class,
            'table' => 'statuses',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'slug',  'code',  'description'],
            'translatables' => [],
            'upload_folder' => 'status/status',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'status::status.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "code" => [
                "key" => "code", 
                "type" => "text", 
                "label" => 'status::status.label.code', 
                'sort' => true,
                'roles' => [],
            ],
            "description" => [
                "key" => "description", 
                "type" => "text", 
                "label" => 'status::status.label.description', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'name' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'status::status.label.name',
                "placeholder" => 'status::status.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'code' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'status::status.label.code',
                "placeholder" => 'status::status.placeholder.code',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'package::package.formcontrols.VARCHAR',
                "type" => 'package::package.formcontrols.VARCHAR',
                "label" => 'status::status.label.description',
                "placeholder" => 'status::status.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'status/status/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'status/status/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'status/status',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'status/status',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'status/status',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'status/status',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'status::status.label.created_at',
            'name' => 'status::status.label.name',
            'status' => 'status::status.label.status',
        ],
        'groups' => [
            'main' => 'status::status.groups.main',
            'details' => 'status::status.groups.details',
            'images' => 'status::status.groups.images',
            'settings' => 'status::status.groups.settings',
        ],
        'controller' => [
            'provider' => 'Status',
            'package' => 'Status',
            'module' => 'Status',
        ],
    ];
