# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/status/status/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Status\\Status\\": "packages/status/status/src",
            "Status\\Status\\Seeders\\": "packages/status/status/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Status\Status\Providers\StatusServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Status'  => Status\Status\Facades\Status::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Status\\Status\\Seeders\\StatusTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Status\Status\Providers\StatusServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/status/{modulename}

**User**

    http://path-to-route-folder/user/status/{modulename}

**Public**

    http://path-to-route-folder/statuses


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/status/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/status/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/status/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/status/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/status/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/status/{modulename}/{slug}
    METHOD: GET